Watch deployment events
curl --request GET \
--url https://api.example.com/v1/api/deployments/{deploymentId}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/api/deployments/{deploymentId}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/api/deployments/{deploymentId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deployment": {
"vulnerabilityScan": {
"completedAt": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"errorMessage": "<string>",
"findingsTruncated": true,
"id": "<string>",
"imageDigest": "<string>",
"requestedAt": "2023-11-07T05:31:56Z",
"scannerName": "<string>",
"scannerVersion": "<string>",
"severityTotals": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"startedAt": "2023-11-07T05:31:56Z",
"state": "running",
"vulnerabilityDatabaseUpdatedAt": "2023-11-07T05:31:56Z"
},
"vulnerabilityScanningEnabled": true,
"appId": "<string>",
"targetEnvironment": {
"id": "<string>",
"name": "<string>",
"branch": "<string>",
"mappingRevision": "<string>"
},
"commitSha": "<string>",
"deployableKind": "app",
"environment": "production",
"createdAt": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"errorMessage": "<string>",
"finishedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"gitRef": "<string>",
"githubDeploymentId": "<string>",
"hostname": "<string>",
"imageDigest": "<string>",
"imagePlatform": "<string>",
"kind": "deploy",
"manifestDigest": "<string>",
"sourceInputDigest": "<string>",
"serverId": "<string>",
"sourceId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"state": "queued",
"trigger": "rollback",
"updatedAt": "2023-11-07T05:31:56Z",
"queueBlocker": "server_capacity"
},
"logs": [
{
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"sequence": 123,
"stream": "<string>"
}
],
"steps": [
{
"createdAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"message": "<string>",
"sequence": 123,
"startedAt": "2023-11-07T05:31:56Z",
"state": "queued",
"status": "running"
}
],
"localization": {
"dateFormat": "day-short-month-year",
"timeFormat": "24-hour",
"timeZone": "<string>",
"timestamps": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}Watch deployment events
Watch deployment events through the Towbar REST API.
GET
/
deployments
/
{deploymentId}
/
events
Watch deployment events
Required permissions: deployment.read. Personal keys are capped by their owner’s current team role.
See request conventions and automation workflows. MCP clients use the task-oriented tool catalogue.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Query Parameters
Required range:
-1 <= x <= 9007199254740991Available options:
true, false Last modified on September 5, 2026
